<!DOCTYPE html>
<html lang="en">

<head>
	<meta charset="UTF-8">
	<meta http-equiv="X-UA-Compatible" content="IE=edge">
	<meta name="viewport" content="width=device-width, initial-scale=1.0">
	<title>All Repairs</title>

	<!-- Bootstrap -->
	<link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta2/dist/css/bootstrap.min.css" rel="stylesheet"
		integrity="sha384-BmbxuPwQa2lc/FVzBcNJ7UAyJxM6wuqIj61tLrc4wSX0szH/Ev+nYRRuWlolflfl" crossorigin="anonymous">
	<!-- Bootstrap Icons -->
	<link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap-icons@1.4.1/font/bootstrap-icons.css">
</head>

<body>
	<!--
		----------------------------------------------------------------------------
		Nav bar
		----------------------------------------------------------------------------
	-->
	<header>
		<nav class="navbar navbar-expand-sm navbar-light bg-light">
			<div class="container-fluid">
				<a class="navbar-brand" href="../index.html">Auto Repairs</a>
				<!-- Responsive navbar expander for narrow viewports -->
				<button class="navbar-toggler" type="button" data-bs-toggle="collapse"
					data-bs-target="#navbarSupportedContent" aria-controls="navbarSupportedContent"
					aria-expanded="false" aria-label="Toggle navigation">
					<span class="navbar-toggler-icon"></span>
				</button>
				<div class="collapse navbar-collapse" id="navbarSupportedContent">
					<ul class="navbar-nav me-auto mb-2 mb-lg-0">
						<li class="nav-item">
							<a class="nav-link active" aria-current="page" href="../index.html">Home</a>
						</li>
						<li class="nav-item" id="login-nav-item">
							<a class="nav-link" href="../accounts/login.html">Log In</a>
						</li>
						<li class="nav-item" id="create-account-nav-item">
							<a class="nav-link" href="../accounts/create-account.html">Create Account</a>
						</li>
						<li class="nav-item" id="repairs-nav-item" hidden>
							<!-- link to a page for viewing repairs. Admins get a different endpoint for now -->
							<a class="nav-link" id="repairs-nav-item-link" href="#">Repairs</a>
						</li>
						<li class="nav-item" id="create-repair-nav-item" hidden>
							<a class="nav-link" href="../repairs/create-repair.html">Create Repair</a>
						</li>
						<li class="nav-item" id="account-nav-item" hidden>
							<!-- page to view and edit accounts -->
							<a class="nav-link" href="../accounts/update-account.html">Account</a>
						</li>
						<li class="nav-item" id="all-accounts-nav-item" hidden>
							<a class="nav-link" href="../accounts/accounts.html">All Accounts</a>
						</li>
						<li class="nav-item" id="logout-nav-item" hidden>
							<a class="nav-link" href="#">Log Out</a>
						</li>
					</ul>
				</div>
				<!-- navbar links -->
			</div>
		</nav>
	</header>
	<!--
		----------------------------------------------------------------------------
		Main body
		----------------------------------------------------------------------------
	-->

	<main>
		<!-- Filtered search form -->
		<div class="container">
			<form id="filtered-search-form" class="row row-cols-lg-auto g-3 align-items-center justify-content-end">
				<div class="col-12">
					<label for="filtered-search-form">Filtered Search</label>
				</div>

				<div class="col-12">
					<label class="visually-hidden" for="filtered-search-form-status">Status</label>
					<select class="form-select" id="filtered-search-form-status">
						<option value="">All Status</option>
						<option value="PENDING">Pending</option>
						<option value="IN_PROGRESS">In Progress</option>
						<option value="COMPLETED">Completed</option>
					</select>
				</div>

				<div class="col-12">
					<label class="visually-hidden" for="filtered-search-form-problem">Problem</label>
					<input type="text" class="form-control" id="filtered-search-form-problem"></input>
				</div>

				<div class="col-12">
					<button type="submit" class="btn btn-outline-secondary">Filter</button>
				</div>
			</form>
		</div>



		<div class="container-md table-responsive">
			<table id="repair-table" class="table table-hover align-middle" style="min-width: 500px;" hidden>
				<caption>All repairs that are stored</caption>
				<thead>
					<th scope="col">Customer</th>
					<th scope="col">Make</th>
					<th scope="col">Model</th>
					<th scope="col">Year</th>
					<th scope="col">Date Submitted</th>
					<th scope="col">Date Completed</th>
					<th scope="col">Price</th>
					<th scope="col">Problem</th>
					<th scope="col">Solution</th>
					<th scope="col">Status</th>
					<th scope="col"></th>
				</thead>
				<tbody id="repair-table-body">
					<!-- Body is filled in if the user is logged in -->
				</tbody>
			</table>
		</div>

	</main>

	<!--
		Update a repair modal
	-->

	<div class="modal fade" id="updateRepairModal" tabindex="-1" aria-labelledby="updateRepairModalLabel"
		aria-hidden="true">
		<div class="modal-dialog modal-dialog-scrollable">
			<div class="modal-content">
				<div class="modal-header">
					<h5 class="modal-title" id="updateRepairModalLabel">Update Repair Details</h5>
					<button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
				</div>
				<div class="modal-body">
					<form id="updateRepairForm">
						<input type="hidden" id="updateRepairForm-id">
						<div class="mb-3">
							<label for="updateRepairForm-account" class="col-form-label">Customer:</label>
							<select id="updateRepairForm-account" class="form-control">
								<option disabled selected value="">Choose a Customer</option>
							</select>
						</div>
						<div class="mb-3">
							<label for="updateRepairForm-make" class="col-form-label">Make:</label>
							<input type="text" class="form-control" id="updateRepairForm-make"
								onblur="automaticValidation(this)" required>
							<div class="invalid-feedback">
								Please enter the make of the vehicle
							</div>
						</div>
						<div class="mb-3">
							<label for="updateRepairForm-model" class="col-form-label">Model:</label>
							<input type="text" class="form-control" id="updateRepairForm-model"
								onblur="automaticValidation(this)" required>
							<div class="invalid-feedback">
								Please enter the model of the vehicle
							</div>
						</div>
						<div class="mb-3">
							<label for="updateRepairForm-year" class="col-form-label">Year:</label>
							<input type="number" min="1800" class="form-control" id="updateRepairForm-year"
								onblur="automaticValidation(this)" required>
							<div class="invalid-feedback">
								Please enter the year the vehicle was made
							</div>
						</div>
						<!-- datetime-local not supported in firefox. Can work on a better format later
							May also be able to change based on what browser is viewing the page -->
						<div class="mb-3">
							<label for="updateRepairForm-date-submitted" class="col-form-label">Date
								Submitted:</label>
							<input type="datetime-local" step="1" class="form-control"
								id="updateRepairForm-date-submitted" onblur="automaticValidation(this)" required>
							<div class="invalid-feedback">
								Please input the date the vehicle was brought in
							</div>
						</div>
						<div class="mb-3">
							<label for="updateRepairForm-date-completed" class="col-form-label">Date
								Completed:</label>
							<input type="datetime-local" step="1" class="form-control"
								id="updateRepairForm-date-completed" onblur="automaticValidation(this)">
						</div>
						<div class="mb-3">
							<label for="updateRepairForm-price" class="col-form-label">Price:</label>
							<div class="input-group">
								<div class="input-group-text">$</div>
								<input type="number" step="0.01" min="0" class="form-control"
									id="updateRepairForm-price" onblur="automaticValidation(this)" required>
								<div class="invalid-feedback">
									Please enter a valid dollar amount
								</div>
							</div>
						</div>
						<div class="mb-3">
							<label for="updateRepairForm-problem" class="col-form-label">Problem:</label>
							<textarea class="form-control" id="updateRepairForm-problem"
								onblur="automaticValidation(this)" required></textarea>
							<div class="invalid-feedback">
								Please describe the reason the vehicle is in for work
							</div>
						</div>
						<div class="mb-3">
							<label for="updateRepairForm-solution" class="col-form-label">solution:</label>
							<textarea class="form-control" id="updateRepairForm-solution"
								onblur="automaticValidation(this)"></textarea>
						</div>
						<div class="mb-3">
							<label for="updateRepairForm-status" class="col-form-label">Status:</label>
							<select class="form-select" aria-label="status selection" id="updateRepairForm-status"
								onblur="automaticValidation(this)" required>
								<option value="PENDING">Pending</option>
								<option value="IN_PROGRESS">In Progress</option>
								<option value="COMPLETED">Completed</option>
							</select>
						</div>
					</form>
				</div>
				<div class="modal-footer">
					<button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>
					<button type="submit" form="updateRepairForm" class="btn btn-primary">Update</button>
				</div>
			</div>
		</div>
	</div>

	<!-- 
	Delete confirmation modal
-->
	<div class="modal fade" id="delete-confirmation-modal" tabindex="-1"
		aria-labelledby="delete-confirmation-modal-label" aria-hidden="true">
		<div class="modal-dialog">
			<div class="modal-content">
				<div class="modal-header">
					<h5 class="modal-title" id="delete-confirmation-modal-label">Are you sure you want to delete
						this
						repair?</h5>
					<button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
				</div>
				<div class="modal-body">
					<div class="container col-md-12">
						<div class="row">
							<div class="col">
								<label for="delete-modal-make" class="col-form-label">Make:</label>
								<p id="delete-modal-make"></p>
							</div>
							<div class="col">
								<label for="delete-modal-model" class="col-form-label">Model:</label>
								<p id="delete-modal-model"></p>
							</div>
							<div class="col">
								<label for="delete-modal-year" class="col-form-label">Year:</label>
								<p id="delete-modal-year"></p>
							</div>
						</div>
						<div class="row">
							<div class="col-md-6">
								<label for="delete-modal-name" class="col-form-label">Customer:</label>
								<p id="delete-modal-name"></p>
							</div>
							<div class="col-md-6">
								<label for="delete-modal-status" class="col-form-label">Status:</label>
								<p id="delete-modal-status"></p>
							</div>
						</div>
						<div class="row">
							<div class="col-md-12">
								<label for="delete-modal-problem" class="col-form-label">Problem:</label>
								<p id="delete-modal-problem"></p>
							</div>
						</div>
						<div class="row">
							<div class="col-md-12">
								<label for="delete-modal-solution" class="col-form-label">Solution:</label>
								<p id="delete-modal-solution"></p>
							</div>
						</div>
						<div class="row">
							<div class="col">
								<label for="delete-modal-date-submitted" class="col-form-label">Date
									Submitted:</label>
								<p id="delete-modal-date-submitted"></p>
							</div>
						</div>
					</div>
				</div>
				<div class="modal-footer">
					<button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>
					<button type="button" class="btn btn-danger" id="delete-modal-button">Delete</button>
				</div>
			</div>
		</div>
	</div>


	<!-- JS imports -->
	<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta2/dist/js/bootstrap.bundle.min.js"
		integrity="sha384-b5kHyXgcpbZJO/tY9Ul7kGkf1S0CWuKcCD38l8YkeH8z8QjE0GmW1gYU5S9FOnJ0"
		crossorigin="anonymous"></script>
	<script src="../js/server-requests.js"></script>
	<script src="../js/nav-bar.js"></script>
	<script src="./all-repairs.js"></script>
</body>

</html>